%define anolis_release 1
%global 	api_ver 2.6
# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           libxml++
Version:        2.42.2
Release: %{anolis_release}%{dist}
Summary:        C++ wrapper for the libxml2 XML parser library

License:        LGPLv2+
URL:            http://libxmlplusplus.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/libxml++/%{release_version}/libxml++-%{version}.tar.xz

BuildRequires:  docbook-style-xsl
BuildRequires:  doxygen, graphviz
BuildRequires:  gcc-c++
BuildRequires:  glibmm24-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt
BuildRequires:  meson

%description
libxml++ is a C++ wrapper for the libxml2 XML parser library. Its original
author is Ari Johnson and it is currently maintained by Christophe de Vienne
and Murray Cumming.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       libxml2-devel
Requires:       glibmm24-devel

%description devel
This package contains the headers and libraries for libxml++ development.

%package        doc
Summary:        Documentation for %{name}, includes full API docs
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}
Requires:       glibmm24-doc

%description    doc
This package contains the full API documentation for %{name}.

%prep
%setup -q
sed -i s'#\r##' examples/dom_parser/example_with_namespace.xml

%build
%meson -Dbuild-documentation=true
%meson_build

%install
%meson_install
%generate_compatibility_deps

%files
%license COPYING
%{_libdir}/libxml++-%{api_ver}.so.2*

%dir %{abidir}
%{abidir}/libxml++-%{api_ver}.dump

%files devel
%{_includedir}/*
%{_libdir}/libxml++-%{api_ver}.so
%{_libdir}/pkgconfig/*
%{_libdir}/%{name}-%{api_ver}

%files doc
%doc %{_datadir}/devhelp/books/%{name}-%{api_ver}
%doc %{_docdir}/%{name}-%{api_ver}
%doc ChangeLog AUTHORS NEWS README

%changelog
* Sat Mar 25 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 2.42.2-1
- Init package from upstream
